# -*- coding: utf-8 -*-
from ppms.migration.packet import *

class AddCommentColumn(SQLPacket):
    '''Add the new comment column to the migration table'''
    version = 1
    done_after_success = True
    run_on_startup = True
    category = PacketCategory.CATEGORY_MANDATORY
    wi_number = 11486

    fname = 'wi11486_comment.sql'

    def fix(self, runner):
        self.apply_dml_file(self.sql_planta_de_dbms, self.fname)
        
        return self.success()
